# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "cursus-bin"
version = "0.3.2"
build = "build.rs"
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Release management CLI for polyglot projects"
homepage = "https://zantarix.github.io/cursus/"
documentation = "https://zantarix.github.io/cursus/"
readme = "README.md"
license = "MPL-2.0"
repository = "https://github.com/zantarix/cursus"

[features]
default = ["nix-tests"]
nix-tests = []
test-support = []

[[bin]]
name = "cursus"
path = "src/main.rs"

[[test]]
name = "change_auto_subprocess"
path = "tests/change_auto_subprocess.rs"

[[test]]
name = "change_subprocess"
path = "tests/change_subprocess.rs"

[[test]]
name = "invalid"
path = "tests/invalid.rs"

[[test]]
name = "prepare_nix"
path = "tests/prepare_nix.rs"

[[test]]
name = "publish_subprocess"
path = "tests/publish_subprocess.rs"

[dependencies.anyhow]
version = "=1.0.102"

[dependencies.clap]
version = "=4.6.1"
features = ["derive"]

[dependencies.cursus]
version = "=0.3.2"

[dependencies.log]
version = "=0.4.29"

[dependencies.mutants]
version = "=0.0.4"

[dependencies.octocrab]
version = "=0.49.8"

[dependencies.sys-locale]
version = "=0.3.2"

[dependencies.tokio]
version = "=1.52.1"
features = [
    "rt-multi-thread",
    "macros",
]
default-features = false

[dev-dependencies.cursus]
version = "=0.3.2"
features = ["test-support"]
default-features = false

[dev-dependencies.tempfile]
version = "=3.27.0"

[dev-dependencies.tokio]
version = "=1.52.1"
features = [
    "rt-multi-thread",
    "macros",
]

[lints.clippy]
excessive_nesting = "warn"
too_many_lines = "warn"
